﻿<%@ Page Title="Změna profilu" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="ChangeProfile.aspx.cs" Inherits="ChangeProfile" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Změna profilu</h2>

<div class="accountInfo">
<fieldset class="changeProfile">
    <legend>Uživatel</legend>
    <p>
        <asp:Label ID="UserName" runat="server" AssociatedControlID="UserName"><b>Uživatelské jméno:</b> <%= Profile.UserName %></asp:Label>
       
    </p>
    <p>
        <asp:Label ID="FirstNameLabel" runat="server" AssociatedControlID="FirstName"><b>Jméno:</b></asp:Label>
        <asp:TextBox ID="FirstName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="FirstNameRequired" runat="server" ControlToValidate="FirstName" 
            CssClass="failureNotification" ErrorMessage="Jméno je požadováno." ToolTip="First Name is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>

    </p>
    <p>
        <asp:Label ID="LastNameLabel" runat="server" AssociatedControlID="LastName"><b>Příjmení:</b></asp:Label>
        <asp:TextBox ID="LastName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="LastNameRequired" runat="server" ControlToValidate="LastName" 
            CssClass="failureNotification" ErrorMessage="Příjmení je požadováno." ToolTip="Last Name is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email"><b>E-mail:</b></asp:Label>
        <asp:TextBox ID="Email" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
            CssClass="failureNotification" ErrorMessage="E-mail je požadován." ToolTip="E-mail is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
</fieldset>
<fieldset> <!-- skupina poli obalena slabym rameckem  -->
<legend>Společnost</legend> <!-- nadpis ramecku -->
    <p>
        <asp:Label ID="CompanyNameLabel" runat="server" AssociatedControlID="CompanyName"><b>Název společnosti:</b></asp:Label>
        <asp:TextBox ID="CompanyName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="CompanyNameRequired" runat="server" ControlToValidate="CompanyName" 
            CssClass="failureNotification" ErrorMessage="Název společnosti je požadován." ToolTip="Company Name is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>  
    <p>
        <asp:Label ID="IcLabel" runat="server" AssociatedControlID="Ic"><b>IC:</b></asp:Label><br />
        <asp:TextBox ID="Ic" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="IcRequired" runat="server" ControlToValidate="Ic" 
            CssClass="failureNotification" ErrorMessage="IC je požadováno." ToolTip="IC is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>        
     <p>
        <asp:Label ID="DicLabel" runat="server" AssociatedControlID="Dic"><b>DIČ:</b></asp:Label><br />
        <asp:TextBox ID="Dic" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="DicRequired" runat="server" ControlToValidate="Dic" 
            CssClass="failureNotification" ErrorMessage="DIČ je požadováno." ToolTip="DIC is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>  
     <p>
        <asp:Label ID="WebLabel" runat="server" AssociatedControlID="Web"><b>Web:</b></asp:Label>
        <asp:TextBox ID="Web" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="WebRequired" runat="server" ControlToValidate="Web" 
            CssClass="failureNotification" ErrorMessage="Web je požadován." ToolTip="Web is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>
     <!-- Address -->
     <p>
        <asp:Label ID="StreetLabel" runat="server" AssociatedControlID="Street"><b>Ulice:</b></asp:Label>
        <asp:TextBox ID="Street" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="StreetRequired" runat="server" ControlToValidate="Street" 
            CssClass="failureNotification" ErrorMessage="Ulice je požadována." ToolTip="Street is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
      </p>    
      <p>
        <asp:Label ID="NumberLabel" runat="server" AssociatedControlID="Number"><b>Číslo:</b></asp:Label>
        <asp:TextBox ID="Number" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="NumberRequired" runat="server" ControlToValidate="Number" 
            CssClass="failureNotification" ErrorMessage="Číslo ulice je požadováno." ToolTip="Street number is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>    
    <p>
        <asp:Label ID="CityLabel" runat="server" AssociatedControlID="City"><b>Město:</b></asp:Label>
        <asp:TextBox ID="City" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="CityRequired" runat="server" ControlToValidate="City" 
            CssClass="failureNotification" ErrorMessage="Město je požadováno." ToolTip="City is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>      
    <p>
        <asp:Label ID="PostcodeLabel" runat="server" AssociatedControlID="Postcode"><b>PSČ:</b></asp:Label><br />
        <asp:TextBox ID="Postcode" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="PostcodeRequired" runat="server" ControlToValidate="Postcode" 
            CssClass="failureNotification" ErrorMessage="PSČ je požadováno." ToolTip="Postcode is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
</fieldset>


<p class="zarovnani">
    <asp:Button ID="CancelButton" runat="server" Text="Zrušit" OnClick="CancelButton_Click"/>
    <asp:Button ID="ChangeProfileButton" runat="server" Text="Změnit údaje" ValidationGroup="ChangeProfile" OnClick="ChangeProfileButton_Click"/>
</p>
</div>   
</asp:Content>