﻿<%@ Page Title="Profil" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Profile.aspx.cs" Inherits="About" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Profil</h2>

<div class="accountInfo">
<fieldset class="changeProfile">
    <legend>Uživatel</legend>
    <p>
        <asp:Label ID="UserName" runat="server" AssociatedControlID="UserName"><b>Uživatelské jméno:</b> <%= Profile.UserName %></asp:Label>
    </p>
    <p>
        <asp:Label ID="FirstName" runat="server" AssociatedControlID="FirstName"><b>Jméno:</b> <%= Profile.FirstName %></asp:Label>
    </p>
    <p>
        <asp:Label ID="LastName" runat="server" AssociatedControlID="LastName"><b>Příjmení:</b> <%= Profile.LastName %></asp:Label>      
    </p>
    <p>
        <asp:Label ID="Email" runat="server" AssociatedControlID="Email"><b>E-mail:</b> <%= Membership.GetUser().Email %></asp:Label>
    </p>
</fieldset>
<fieldset> <!-- skupina poli obalena slabym rameckem  -->
<legend>Společnost</legend> <!-- nadpis ramecku -->
    <p>
        <asp:Label ID="CompanyName" runat="server" AssociatedControlID="CompanyName"><b>Společnost:</b> <%= Profile.Company.CompanyName %></asp:Label>
    </p>  
    <p>
        <asp:Label ID="Ic" runat="server" AssociatedControlID="Ic"><b>IC:</b> <%= Profile.Company.IC %></asp:Label>
    </p>        
    <p>
        <asp:Label ID="Dic" runat="server" AssociatedControlID="Dic"><b>DIČ:</b> <%= Profile.Company.DIC %></asp:Label>
    </p>  
    <p>
        <asp:Label ID="Web" runat="server" AssociatedControlID="Web"><b>Web:</b> <%= Profile.Company.Web %></asp:Label>
    </p>
     <!-- Address -->
    <p>
        <asp:Label ID="Street" runat="server" AssociatedControlID="Street"><b>Ulice:</b> <%= Profile.Addresses.Street %></asp:Label>
    </p>    
    <p>
        <asp:Label ID="Number" runat="server" AssociatedControlID="Number"><b>Číslo:</b> <%= Profile.Addresses.Number %></asp:Label>
    </p>    
    <p>
        <asp:Label ID="City" runat="server" AssociatedControlID="City"><b>Město:</b> <%= Profile.Addresses.City %></asp:Label>
    </p>      
    <p>
        <asp:Label ID="Postcode" runat="server" AssociatedControlID="Postcode"><b>PSČ:</b> <%= Profile.Addresses.Postcode %></asp:Label>
    </p>
</fieldset>
                <p class="zarovnani">
                    <asp:Button ID="ChangeProfileButton" runat="server" Text="Změna profilu" PostBackUrl="~/Account/ChangeProfile.aspx" />
                    <asp:Button ID="ChangePasswordButton" runat="server" Text="Změna hesla" PostBackUrl="~/Account/ChangePassword.aspx" />
                </p>
</div>
</asp:Content>
