﻿<%@ Page Title="Historie práce uživatelů" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="ActivityHistoryByUser.aspx.cs" Inherits="ActivityHistoryByUser" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Historie práce uživatele: <asp:Label ID="UserToView" runat="server"></asp:Label></h2>
    <p>
        Zobrazit historie práce uživatele: 
        <asp:DropDownList ID="ViewUser" runat="server" AutoPostBack="True" 
            DataTextField="UserName" DataValueField="ProviderUserKey" 
            onselectedindexchanged="ViewUser_SelectedIndexChanged">
        </asp:DropDownList>
    </p>
    <p>
        <asp:GridView ID="gvActivityLog" runat="server" 
            DataSourceID="ActivityLogDataSource" AutoGenerateColumns="False" AllowPaging="True">
                        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
    <HeaderStyle CssClass="GridHeader" />
            <Columns>
                <asp:TemplateField HeaderText="Navštívena strana" HeaderStyle-Width="300">
                    <ItemTemplate>
                        <%# FormatActivity(Eval("Activity").ToString(), Eval("PageUrl").ToString()) %>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Zobrazeno">
                    <ItemTemplate>
                        <%# FormatLastUpdatedDate(Convert.ToDateTime(Eval("ActivityDate")), Convert.ToDateTime(Eval("CurrentDate")))%>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="ActivityLogDataSource" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ApplicationServices %>" 
            SelectCommand="usp_GetUserActivityLog" SelectCommandType="StoredProcedure">
            <SelectParameters>
                <asp:ControlParameter ControlID="ViewUser" Name="UserID" PropertyName="SelectedValue" />
            </SelectParameters>
        </asp:SqlDataSource>
    </p>
</asp:Content>
