﻿<%@ Page Title="Správa uživatelů" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Users.aspx.cs" Inherits="Users" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
<h2>Správa uživatelů</h2>
<br />
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false" DataKeyNames="UserName" OnRowCommand="GridView1_RowCommand" AllowPaging="True">
            <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
    <HeaderStyle CssClass="GridHeader" />
        <Columns>
            <asp:BoundField HeaderText="Uživatelské jméno" DataField="UserName" HeaderStyle-Width="130" />
            <asp:BoundField HeaderText="E-mail" DataField="Email" HeaderStyle-Width="175" />
            <asp:BoundField HeaderText="Naposledy přihlášen" DataField="LastLoginDate" HeaderStyle-Width="140" />
            <asp:TemplateField HeaderText="Administrátor" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="110">
                <ItemTemplate>
                    <asp:CheckBox ID="AdminCheckBox" runat="server" Enabled='<%#Eval("UserName").ToString() != "admin" %>' Checked='<%#Roles.IsUserInRole(Eval("UserName").ToString(), "admin") %>' AutoPostBack="true" OnCheckedChanged="AdminCheckBox_CheckedChanged" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Vyhlašovatel" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="100">
                <ItemTemplate>
                    <asp:CheckBox ID="EnunciatorCheckBox" runat="server" Checked='<%#Roles.IsUserInRole(Eval("UserName").ToString(), "enunciator") %>' AutoPostBack="true" OnCheckedChanged="EnunciatorCheckBox_CheckedChanged" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Dodavatel" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="80">
                <ItemTemplate>
                    <asp:CheckBox ID="SupplierCheckBox" runat="server" Checked='<%#Roles.IsUserInRole(Eval("UserName").ToString(), "supplier") %>' AutoPostBack="true" OnCheckedChanged="SupplierCheckBox_CheckedChanged" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Pozorovatel" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="90">
                <ItemTemplate>
                    <asp:CheckBox ID="ObserverCheckBox" runat="server" Checked='<%#Roles.IsUserInRole(Eval("UserName").ToString(), "observer") %>' AutoPostBack="true" OnCheckedChanged="ObserverCheckBox_CheckedChanged" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="">
                <ItemTemplate>
                    <asp:LinkButton ID="DeleteUserButton" runat="server" Visible='<%#Eval("UserName").ToString() != "admin" %>' CommandName="DeleteUser" CommandArgument='<%#Eval("UserName") %>' OnClientClick="javascript: return confirm('Opravdu chcete uživatele smazat?');"><asp:Image ID="Image1" runat="server" ImageUrl="/Images/Delete.png" ToolTip="Smazat" style="border-width: 0px; padding-top: 4px; padding-left: 5px; padding-right: 5px;" /></asp:LinkButton>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
<br />
</asp:Content>

