﻿<%@ Page Title="Vložit nabídku" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" EnableEventValidation="true" CodeFile="InsertOffer.aspx.cs" CodeBehind="InsertOffer.aspx.cs" Inherits="InsertOffer" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
<h2>Vložit nabídku</h2>
<br />
<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false">
    <HeaderStyle CssClass="GridHeader" />
<Columns>
<asp:BoundField HeaderText="Začátek" DataField="StartDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="125px" ItemStyle-HorizontalAlign="Center" />
</Columns>
<Columns>
<asp:BoundField HeaderText="Konec" DataField="EndDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="125px" ItemStyle-HorizontalAlign="Center" />
</Columns>
<Columns>
<asp:BoundField HeaderText="Název aukce" DataField="Name" ItemStyle-Width="250px" />
</Columns>
</asp:GridView>

    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:Timer ID="Timer1" runat="server" Interval="1000" OnTick="timer1_tick">
    </asp:Timer>
    <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
    <asp:Label ID="lblTimer" runat="server"></asp:Label>
    </ContentTemplate>
    <Triggers>
    <asp:AsyncPostBackTrigger ControlID="Timer1" EventName="tick" />
    </Triggers>
    </asp:UpdatePanel>

<br />
<asp:Label ID="Label1" runat="server" Text="Label"><b>Popis aukce</b></asp:Label>
<br />
<asp:Label ID="LabelDescription" runat="server" Text="Label"></asp:Label>
<br /><br />
<asp:Label ID="NoTimeAuctionLabel" runat="server" Visible="false" Font-Bold="true">Položky nejsou zobrazeny - neběží aukce!</asp:Label>
<asp:Label ID="NoItemLabel" runat="server" Visible="false" Font-Bold="true">Položky aukce</asp:Label>

<!-- aktualizace nejlepsich cen -->
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
    <asp:Timer ID="AutoRefreshTimer" runat="server" Interval="1000" OnTick="AutoRefreshTimer_Tick"></asp:Timer>

<asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="false" Visible="false">
        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
        <HeaderStyle CssClass="GridHeader" />
    <Columns>
    <asp:BoundField HeaderText="Kód" DataField="Code" ItemStyle-Width="75px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Popis" DataField="Description" ItemStyle-Width="200px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Množství" DataField="Amount" ItemStyle-Width="100"/>
    </Columns>
    <Columns>
    <asp:TemplateField HeaderText="Jednotka" ItemStyle-Width="100px">
    <ItemTemplate><%# Eval("Unit.Name") %></ItemTemplate>
    </asp:TemplateField>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Počáteční cena" DataField="StartPrice" ItemStyle-Width="100px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Nejlepší cena" DataField="BestPrice" ItemStyle-Width="100px"/>
    </Columns>
    <Columns>
    <asp:TemplateField HeaderText="Typ" ItemStyle-Width="100px">
    <ItemTemplate><%# Eval("TypeOfItems.Names") %></ItemTemplate>
    </asp:TemplateField>
    </Columns>
    <Columns>
    <asp:HyperLinkField DataNavigateUrlFields="AuctionId, ItemId" DataNavigateUrlFormatString="~/Auctions/InsertOfferDetail.aspx?AuctionId={0}&ItemId={1}"  
                    Text="<img style='padding-left: 5px; padding-right: 5px;' src='/Images/Money.png'/ title='Podat nabídku'>" ItemStyle-CssClass="obrazek" ItemStyle-HorizontalAlign="Center" /> 
    </Columns>
</asp:GridView>
</ContentTemplate>
</asp:UpdatePanel>
<br />
<asp:Label ID="Chat" runat="server" Font-Bold="true" Visible="false">Chat</asp:Label>
<br />
<asp:Label ID="ChatLabel" runat="server" Visible="false">Zpráva:</asp:Label>    
<br />
<asp:TextBox ID="TextBoxMessage" runat="server" TextMode="MultiLine" Width="318px" Rows="3" Visible="false"></asp:TextBox>
<br />
<asp:Button ID="Button1" runat="server" Text="Odeslat" OnClick="Chat_Click" Visible="false" />
<br /><br />
<asp:Label ID="ListChat" runat="server" Visible="false"><b>Seznam zpráv</b></asp:Label>
<!-- aktualizace chatové zprávy -->
<asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
<ContentTemplate>
<asp:Timer ID="Timer2" runat="server" Interval="1000" OnTick="AutoRefreshTimerChat_Tick"></asp:Timer>
<asp:GridView ID="GridView6" runat="server" AutoGenerateColumns="false" Visible="false">
        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
        <HeaderStyle CssClass="GridHeader" />
    <Columns>
        <asp:BoundField HeaderText="Příjemce" DataField="UserName" ItemStyle-Width="125px" />  
        <asp:BoundField HeaderText="Odesílatel" DataField="Name" ItemStyle-Width="125px" />  
        <asp:BoundField HeaderText="Datum odeslání" DataField="CreateDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center"/>       
        <asp:BoundField HeaderText="Zpráva" DataField="Message" ItemStyle-Width="300px" />    
    </Columns>
</asp:GridView>
</ContentTemplate>
</asp:UpdatePanel>
<br /><br />
<br />
</asp:Content>


