﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class InsertOfferDetail : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            base.LogActivity("Vložit nabídku položky", true);
            Model.Entities ase = new Model.Entities();
            int itemId = Int32.Parse(Request.QueryString["ItemId"]);
            int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
            var items = (from item in ase.Item where (item.AuctionId == auctionId && item.ItemId == itemId) select item).First();
            //IdItemLabelData.Text = items.ItemId.ToString();
            var v = (from item in ase.Item join unit in ase.Unit on item.UnitId equals unit.UnitId where item.ItemId == itemId select unit.Name).First();
            UnitLabelData.Text = v;
            var code = (from item in ase.Item where item.ItemId == itemId select item.Code).First();
            CodeLabelData.Text = code;
            System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
            
            //--------------------------------------------------------------------------------------//
            //pocet nabidek jednoho dodavatele je 0
            if ((from bestyouroffer in ase.Offer
                    join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                    where ((bestyouroffer.UserId.Equals(guid)) && (bestyouroffer.AuctionId == auctionId) && (bestyouroffer.ItemId == itemId))
                    select bestyouroffer).Count() == 0)
                {
                //nakupni polozky
                if ((from item in ase.Item where item.ItemId == itemId && item.TypeOfItem == 1 select item).Count() == 1) {
                string text;
                    text = "Cenu nákupní položky jste nevložil(a)";
                    BestPriceLabelData.Text = text;
                }
                //prodejni polozky
                if ((from item in ase.Item where item.ItemId == itemId && item.TypeOfItem == 2 select item).Count() == 1)
                {
                    string text;
                    text = "Cenu prodejní položky jste nevložil(a)";
                    BestPriceLabelData.Text = text;
                }
             }

            //pocet nabidek jednoho dodavatele je min. 1
            if ((from bestyouroffer in ase.Offer
                 join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                 where ((bestyouroffer.UserId.Equals(guid)) && (bestyouroffer.AuctionId == auctionId) && (bestyouroffer.ItemId == itemId))
                 select bestyouroffer).Count() >= 1)
            {
                //nakupni polozky
                if ((from bestyouroffer in ase.Offer
                     join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                     where (bestyouroffer.UserId.Equals(guid) && bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 1)
                     orderby bestyouroffer.Price ascending
                     select bestyouroffer).Count() >= 1)
                {
                    var text = (from bestyouroffer in ase.Offer
                               join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                               where (bestyouroffer.UserId.Equals(guid) && bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 1)
                               orderby bestyouroffer.Price ascending
                               select bestyouroffer).First();
                    BestPriceLabelData.Text = text.Price.ToString();
                }
                //prodejni polozky
                if ((from bestyouroffer in ase.Offer
                     join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                     where (bestyouroffer.UserId.Equals(guid) && bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 2)
                     orderby bestyouroffer.Price descending
                     select bestyouroffer).Count() >= 1)
                {
                    var text = (from bestyouroffer in ase.Offer
                                join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                                where (bestyouroffer.UserId.Equals(guid) && bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 2)
                                orderby bestyouroffer.Price descending
                                select bestyouroffer).First();
                    BestPriceLabelData.Text = text.Price.ToString();
                }
            }
            //----------------------------------------------------------------------------------------------------------------//

            //---------------------------------------------------------------------------------------------------------------//
            //pocet nabidek vsech dodavatelu je 0
            if ((from bestyouroffer in ase.Offer
                 join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                 where (bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId)
                 select bestyouroffer).Count() == 0)
            {
                //nakupni polozky
                if ((from item in ase.Item where item.ItemId == itemId && item.TypeOfItem == 1 select item).Count() == 1)
                {
                    string text;
                    text = "---";
                    BestPriceAllLabelData.Text = text;
                }
                //prodejni polozky
                if ((from item in ase.Item where item.ItemId == itemId && item.TypeOfItem == 2 select item).Count() == 1)
                {
                    string text;
                    text = "---";
                    BestPriceAllLabelData.Text = text;
                }
            }

            //pocet nabidek vsech dodavatelu je min. 1
            if ((from bestyouroffer in ase.Offer
                 join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                 where ((bestyouroffer.AuctionId == auctionId) && (bestyouroffer.ItemId == itemId))
                 select bestyouroffer).Count() >= 1)
            {
                //nakupni polozky
                if ((from bestyouroffer in ase.Offer
                     join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                     where (bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 1)
                     orderby bestyouroffer.Price ascending
                     select bestyouroffer).Count() >= 1)
                {
                    var text = (from bestyouroffer in ase.Offer
                                join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                                where (bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 1)
                                orderby bestyouroffer.Price ascending
                                select bestyouroffer).First();
                    BestPriceAllLabelData.Text = text.Price.ToString();
                }
                //prodejni polozky
                if ((from bestyouroffer in ase.Offer
                     join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                     where (bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 2)
                     orderby bestyouroffer.Price descending
                     select bestyouroffer).Count() >= 1)
                {
                    var text = (from bestyouroffer in ase.Offer
                                join item in ase.Item on bestyouroffer.ItemId equals item.ItemId
                                where (bestyouroffer.AuctionId == auctionId && bestyouroffer.ItemId == itemId && item.TypeOfItem == 2)
                                orderby bestyouroffer.Price descending
                                select bestyouroffer).First();
                    BestPriceAllLabelData.Text = text.Price.ToString();
                }
            }
            //----------------------------------------------------------------------------------------------------------------------------//

            DescriptionLabelData.Text = items.Description;
            AmountLabelData.Text = items.Amount.ToString();
            StartPriceLabelData.Text = items.StartPrice.ToString();
            var types = (from item in ase.Item join typeitem in ase.TypeOfItems on item.TypeOfItem equals typeitem.TypeOfItemsId where item.ItemId == itemId select typeitem.Names).First();
            TypOfItemLabel.Text = types;
        }

    }

    protected void ButtonSend_Click(object sender, EventArgs e)
    {
        int autionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        int itemId = Int32.Parse(Request.QueryString["ItemId"]);

        Model.Entities ase = new Model.Entities();


        //v pripade, ze je konec aukce, vrati stranku zpet
        Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == autionId) select auctions).First();
        if (auc.EndDate < DateTime.Now)
        {
            Response.Redirect("~/Auctions/InsertOffer.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
        }

        Model.Offer newOffer = new Model.Offer();
        newOffer.ItemId = itemId;
        newOffer.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newOffer.CreateDate = DateTime.Now;
        newOffer.Price = decimal.Parse(txtChar.Text);
        newOffer.AuctionId = autionId;

        ase.Offer.AddObject(newOffer);
        ase.SaveChanges();
        
        //aktualizace sloupce nejlepsi cena
        //**************************************************************************************************************************//
        Model.Item item = (from i in ase.Item where i.ItemId == itemId select i).First();
        
        //kdyz nakupni polozka = 0, tak do ni prirad cenu nabidky
        if ((from items in ase.Item where items.ItemId == itemId && items.BestPrice == null && items.TypeOfItem == 1 select items).Count() == 1)
        {
            item.BestPrice = newOffer.Price;
            item.SavePrice = item.StartPrice - item.BestPrice;
        }
        //kdyz ma nakupni polozka nejakou nabidku
        if ((from items in ase.Item where (items.ItemId == itemId) && (items.BestPrice > newOffer.Price) && (items.TypeOfItem == 1) select items).Count() == 1) 
        {
            item.BestPrice = newOffer.Price;
            item.SavePrice = item.StartPrice - item.BestPrice;
        }
        //kdyz prodejni polozka = 0, tak do ni prirad cenu nabidky
        if ((from items in ase.Item where items.ItemId == itemId && items.BestPrice == null && item.TypeOfItem == 2 select items).Count() == 1) 
        {
            item.BestPrice = newOffer.Price;
            item.SavePrice = item.BestPrice - item.StartPrice;
        }
        //kdy ma prodejni polozka nejakou nabidku
        if ((from items in ase.Item where (items.ItemId == itemId) && (items.BestPrice < newOffer.Price) && (items.TypeOfItem == 2) select items).Count() == 1)
        {
            item.BestPrice = newOffer.Price;
            item.SavePrice = item.BestPrice - item.StartPrice;
        }
        ase.SaveChanges();
        //**************************************************************************************************************************//

        Response.Redirect("~/Auctions/InsertOffer.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }
    protected void ButtonCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Auctions/InsertOffer.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }
}