﻿<%@ Page Title="Upravit společnost" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="EditCompanies.aspx.cs" Inherits="EditCompanies" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Uživatelé</h2>
<div class="accountInfo">
<fieldset class="changeProfile">
    <legend>Uživatel</legend>
    <p>
        <asp:Label ID="UserName" runat="server" AssociatedControlID="UserName"><b>User Name:</b> <%= Profile.UserName %></asp:Label>
       
    </p>
    <p>
        <asp:Label ID="FirstNameLabel" runat="server" AssociatedControlID="FirstName">First Name:</asp:Label>
        <asp:TextBox ID="FirstName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="FirstNameRequired" runat="server" ControlToValidate="FirstName" 
            CssClass="failureNotification" ErrorMessage="First Name is required." ToolTip="First Name is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>

    </p>
    <p>
        <asp:Label ID="LastNameLabel" runat="server" AssociatedControlID="LastName">Last Name:</asp:Label>
        <asp:TextBox ID="LastName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="LastNameRequired" runat="server" ControlToValidate="LastName" 
            CssClass="failureNotification" ErrorMessage="Last Name is required." ToolTip="Last Name is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">E-mail:</asp:Label>
        <asp:TextBox ID="Email" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
            CssClass="failureNotification" ErrorMessage="E-mail is required." ToolTip="E-mail is required." 
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
</fieldset>
<fieldset> <!-- skupina poli obalena slabym rameckem  -->
<legend>Společnost</legend> <!-- nadpis ramecku -->
    <p>
        <asp:Label ID="CompanyNameLabel" runat="server" AssociatedControlID="CompanyName">Company Name:</asp:Label>
        <asp:TextBox ID="CompanyName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="CompanyNameRequired" runat="server" ControlToValidate="CompanyName" 
            CssClass="failureNotification" ErrorMessage="Company Name is required." ToolTip="Company Name is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>  
    <p>
        <asp:Label ID="IcLabel" runat="server" AssociatedControlID="Ic">IC:</asp:Label>
        <asp:TextBox ID="Ic" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="IcRequired" runat="server" ControlToValidate="Ic" 
            CssClass="failureNotification" ErrorMessage="IC is required." ToolTip="IC is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>        
     <p>
        <asp:Label ID="DicLabel" runat="server" AssociatedControlID="Dic">DIC:</asp:Label>
        <asp:TextBox ID="Dic" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="DicRequired" runat="server" ControlToValidate="Dic" 
            CssClass="failureNotification" ErrorMessage="DIC is required." ToolTip="DIC is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>  
     <p>
        <asp:Label ID="WebLabel" runat="server" AssociatedControlID="Web">Web:</asp:Label>
        <asp:TextBox ID="Web" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="WebRequired" runat="server" ControlToValidate="Web" 
            CssClass="failureNotification" ErrorMessage="Web is required." ToolTip="Web is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
     </p>
     <!-- Address -->
     <p>
        <asp:Label ID="StreetLabel" runat="server" AssociatedControlID="Street">Street:</asp:Label>
        <asp:TextBox ID="Street" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="StreetRequired" runat="server" ControlToValidate="Street" 
            CssClass="failureNotification" ErrorMessage="Street is required." ToolTip="Street is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
      </p>    
      <p>
        <asp:Label ID="NumberLabel" runat="server" AssociatedControlID="Number">Number:</asp:Label>
        <asp:TextBox ID="Number" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="NumberRequired" runat="server" ControlToValidate="Number" 
            CssClass="failureNotification" ErrorMessage="Street number is required." ToolTip="Street number is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>    
    <p>
        <asp:Label ID="CityLabel" runat="server" AssociatedControlID="City">City:</asp:Label>
        <asp:TextBox ID="City" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="CityRequired" runat="server" ControlToValidate="City" 
            CssClass="failureNotification" ErrorMessage="City is required." ToolTip="City is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>      
    <p>
        <asp:Label ID="PostcodeLabel" runat="server" AssociatedControlID="Postcode">Postcode:</asp:Label>
        <asp:TextBox ID="Postcode" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="PostcodeRequired" runat="server" ControlToValidate="Postcode" 
            CssClass="failureNotification" ErrorMessage="Postcode is required." ToolTip="Postcode is required."
            ValidationGroup="ChangeProfile">*</asp:RequiredFieldValidator>
    </p>
</fieldset>

<p class="submitButton">
    <asp:Button ID="ChangeProfileButton" runat="server" Text="Změnit údaje" ValidationGroup="ChangeProfile" OnClick="ChangeProfileButton_Click"/>
</asp:Content>
