﻿<%@ Page Title="Aukce" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Auction.aspx.cs" Inherits="Auction" EnableEventValidation="false"  %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
<!--<meta http-equiv="Refresh" content="5" />-->
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
<h2>Aukce</h2>
<asp:Label ID="NoAuctionLabel" runat="server" Visible="false">Nemáš založenu žádnou aukci, ani nejsi do žádné přidán. Založit novou aukci můžeš <a href="CreateAuction.aspx">zde</a>.</asp:Label>
<br />
<asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false">
    <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
    <HeaderStyle CssClass="GridHeader" />
    <Columns>
    <asp:BoundField HeaderText="Název aukce" DataField="Name" ItemStyle-Width="200px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Vytvořena" DataField="CreateDate" DataFormatString="{0:dd/MM/yyyy}" ItemStyle-Width="125px" ItemStyle-HorizontalAlign="Center"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Začátek" DataField="StartDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Konec" DataField="EndDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center"/>
    </Columns>
    <Columns>
    <asp:HyperLinkField Text="<img style='padding-left: 5px; padding-right: 5px;' src='/Images/Edit.png'/ title='Upravit'>" ItemStyle-CssClass="obrazek" DataNavigateUrlFields="AuctionId" DataNavigateUrlFormatString="~/MyAuction/EditAuction.aspx?AuctionId={0}"  
                    ItemStyle-HorizontalAlign="Center" /> 
    </Columns>
    <Columns>
    <asp:HyperLinkField Text="<img style='padding-left: 5px; padding-right: 5px;' src='/Images/Plus.png'/ title='Přidat položku'>" ItemStyle-CssClass="obrazek" DataNavigateUrlFields="AuctionId" DataNavigateUrlFormatString="~/MyAuction/AddItem.aspx?AuctionId={0}"  
                    ItemStyle-HorizontalAlign="Center" /> 
    </Columns>
</asp:GridView>
<!-- doplnen casovac -->
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:Timer ID="Timer1" runat="server" Interval="1000" OnTick="timer1_tick">
    </asp:Timer>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
    <asp:Label ID="lblTimer" runat="server"></asp:Label>
    </ContentTemplate>
    <Triggers>
    <asp:AsyncPostBackTrigger ControlID="Timer1" EventName="tick" />
    </Triggers>
    </asp:UpdatePanel>
<!-- doplnen casovac -->
<br />
<!-- aktualizace nejlepsich cen -->
    <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
    <asp:Timer ID="AutoRefreshTimer" runat="server" Interval="1000" OnTick="AutoRefreshTimer_Tick"></asp:Timer>

<asp:Label ID="NoItemLabel" runat="server" Visible="false" Font-Bold="true">Položky aukce</asp:Label>
    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="false" Visible="false" AutoPostBack="true">
    <AlternatingRowStyle CssClass="GridView1" />
        <HeaderStyle CssClass="GridHeader" />
    <Columns>
    <asp:BoundField HeaderText="Kód" DataField="Code" ItemStyle-Width="150px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Popis" DataField="Description" ItemStyle-Width="200px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Množství" DataField="Amount" ItemStyle-Width="150px"/>
    </Columns>
    <Columns>
    <asp:TemplateField HeaderText="Jednotka" ItemStyle-Width="150px">
    <ItemTemplate><%# Eval("Unit.Name") %></ItemTemplate>
    </asp:TemplateField>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Počáteční cena" DataField="StartPrice" ItemStyle-Width="150px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Nejlepší cena" DataField="BestPrice" ItemStyle-Width="100px"/>
    </Columns>
    <Columns>
    <asp:BoundField HeaderText="Úspora" DataField="SavePrice" ItemStyle-Width="100px"/>
    </Columns>
    <Columns>
    <asp:TemplateField HeaderText="Typ" ItemStyle-Width="100px">
    <ItemTemplate><%# Eval("TypeOfItems.Names") %></ItemTemplate>
    </asp:TemplateField>
    </Columns>
    <Columns>
    <asp:HyperLinkField Text="<img style='padding-left: 5px; padding-right: 5px;' src='/Images/Edit.png'/ title='Upravit položku'>" ItemStyle-CssClass="obrazek" DataNavigateUrlFields="AuctionId, ItemId" DataNavigateUrlFormatString="~/MyAuction/EditItem.aspx?AuctionId={0}&ItemId={1}"  
                   ItemStyle-HorizontalAlign="Center" /> 
    </Columns>
    </asp:GridView>

</ContentTemplate>
</asp:UpdatePanel>
<!-- end gridview refresh -->

<br />
<asp:Label ID="AuctionMember" runat="server" Font-Bold="true">Členové aukce</asp:Label>
<br />
<asp:HyperLink ID="addAuctionMember" runat="server">Přidat člena</asp:HyperLink>
<asp:HyperLink ID="removeAuctionMember" runat="server">Odebrat člena</asp:HyperLink>
    <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="false" DataKeyNames="Email">
        <RowStyle CssClass="GridView0" />
            <HeaderStyle CssClass="GridHeader" />
    <AlternatingRowStyle CssClass="GridView1" />    
    <Columns>
    <asp:TemplateField>
        <ItemTemplate>
            <asp:CheckBox ID="CheckBox1" runat="server" />
        </ItemTemplate>
    </asp:TemplateField>
    <asp:BoundField HeaderText="Uživatelské jméno" DataField="UserName" ItemStyle-Width="150px" />
    <asp:BoundField HeaderText="Jméno" DataField="FirstName" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="Příjmení" DataField="LastName" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="E-mail" DataField="Email" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="Společnost" DataField="CompanyName" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="IČ" DataField="IC" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="DIČ" DataField="DIC" ItemStyle-Width="125px" />
    <asp:BoundField HeaderText="Město" DataField="City" ItemStyle-Width="125px" />
    </Columns>
    </asp:GridView>
<br />
<asp:Label ID="Label2" runat="server"><b>Poslat pozvánku:</b></asp:Label>
<br />
<asp:Label ID="Label1" runat="server">Předmět:</asp:Label> 
<br />
<asp:TextBox ID="TextBoxSubject" runat="server"></asp:TextBox>
<br />
<asp:Label ID="Label3" runat="server">Zpráva:</asp:Label>
<br />
<asp:TextBox ID="TextBoxInformation" runat="server" TextMode="MultiLine" Width="318px" Rows="3"></asp:TextBox>
<br /><br />
<asp:Button ID="btnDisplay" runat="server" Text="Zaslat email" OnClick="SendEmail" />
<br /><br />
<asp:Label ID="AuctionOffer" runat="server" Font-Bold="true" Visible="false">Cenové nabídky aukce - nákupní položky</asp:Label>
    <asp:GridView ID="GridView4" runat="server" AutoGenerateColumns="false" Visible="false">
        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
                <HeaderStyle CssClass="GridHeader" />
    <Columns>
        <asp:BoundField HeaderText="Nabídnutá cena" DataField="Price" ItemStyle-Width="125px" />
        <asp:BoundField HeaderText="Kód" DataField="Code" ItemStyle-Width="50px" />
        <asp:BoundField HeaderText="Popis" DataField="Description" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Množství" DataField="Amount" ItemStyle-Width="100px" />
        <asp:BoundField HeaderText="Jednotka" DataField="Name" ItemStyle-Width="100px" />
        <asp:BoundField HeaderText="Počáteční cena" DataField="StartPrice" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Typ položky" DataField="Names" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Uživatel" DataField="UserName" ItemStyle-Width="150px" />
    </Columns>
    </asp:GridView>
<br />
<asp:Label ID="AuctionOffer1" runat="server" Font-Bold="true" Visible="false">Cenové nabídky aukce - prodejní položky</asp:Label>
    <asp:GridView ID="GridView5" runat="server" AutoGenerateColumns="false" Visible="false">
        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
                <HeaderStyle CssClass="GridHeader" />
    <Columns>
        <asp:BoundField HeaderText="Nabídnutá cena" DataField="Price" ItemStyle-Width="125px" />
        <asp:BoundField HeaderText="Kód" DataField="Code" ItemStyle-Width="50px" />
        <asp:BoundField HeaderText="Popis" DataField="Description" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Množství" DataField="Amount" ItemStyle-Width="100px" />
        <asp:BoundField HeaderText="Jednotka" DataField="Name" ItemStyle-Width="100px" />
        <asp:BoundField HeaderText="Počáteční cena" DataField="StartPrice" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Typ položky" DataField="Names" ItemStyle-Width="150px" />
        <asp:BoundField HeaderText="Uživatel" DataField="UserName" ItemStyle-Width="150px" />
    </Columns>
    </asp:GridView>
<br />
<asp:Label ID="Chat" runat="server" Font-Bold="true">Chat</asp:Label>
<br />
<asp:DropDownList ID="ChatMemberList" runat="server"></asp:DropDownList>
<br />
<asp:Label ID="ChatLabel" runat="server">Zpráva:</asp:Label>    
<br />
<asp:TextBox ID="TextBoxMessage" runat="server" TextMode="MultiLine" Width="318px" Rows="3"></asp:TextBox>
<br /><br />
<asp:Button ID="Button1" runat="server" Text="Odeslat" OnClick="Chat_Click" />
<br /><br />
<asp:Label ID="ListChat" runat="server" Visible="false"><b>Seznam zpráv:</b></asp:Label>
<!-- aktualizace chat -->
<asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
<ContentTemplate>
<asp:Timer ID="Timer2" runat="server" Interval="1000" OnTick="AutoRefreshTimerChat_Tick"></asp:Timer>

<asp:GridView ID="GridView6" runat="server" AutoGenerateColumns="false" Visible="false">
        <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
                <HeaderStyle CssClass="GridHeader" />
    <Columns>
        <asp:BoundField HeaderText="Příjemce" DataField="UserName" ItemStyle-Width="125px" />  
        <asp:BoundField HeaderText="Odesílatel" DataField="Name" ItemStyle-Width="125px" />  
        <asp:BoundField HeaderText="Datum odeslání" DataField="CreateDate" DataFormatString="{0:dd/MM/yyyy HH:mm}" ItemStyle-Width="150px" ItemStyle-HorizontalAlign="Center"/>       
        <asp:BoundField HeaderText="Zpráva" DataField="Message" ItemStyle-Width="300px" />        
    </Columns>
    </asp:GridView>
</ContentTemplate>
</asp:UpdatePanel>

<br /><br />
<asp:Label ID="ReportToExcel" runat="server" Font-Bold="true">Report v Excelu</asp:Label><br />
<asp:Button ID="Button2" runat="server" Text="Report" OnClick="Button2_Click" />
<br /><br />
</asp:Content>

