﻿<%@ Page Title="Upravit položku aukce" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="EditItem.aspx.cs" Inherits="EditItem" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Upravit položku</h2>
<div class="accountInfo">
<fieldset class="addItem">
    <legend>Položka</legend>
    <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="Auction" HeaderText="Opravte chybné údaje!" ForeColor="Red" />
    <p>
    <asp:Label ID="CodeLabel" runat="server" AssociatedControlID="TextBoxCode"><b>Kód:</b></asp:Label>
    <asp:TextBox ID="TextBoxCode" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RequiredFieldValidator ID="CodeRequired" runat="server" ControlToValidate="TextBoxCode" 
            CssClass="failureNotification" ErrorMessage="Kód položky je požadován." ToolTip="Kód položky je požadován." 
            ValidationGroup="Item">Kód položky je požadován.</asp:RequiredFieldValidator>
    </p>
    <p>
    <asp:Label ID="DescriptionLabel" runat="server" Text="Description">Popis:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxDescription" runat="server" TextMode="MultiLine" Width="318px" Rows="5"></asp:TextBox>
    </p>
    <p>
    <asp:Label ID="AmountLabel" runat="server" AssociatedControlID="TextBoxAmount"><b>Množství:</b></asp:Label>
    <asp:TextBox ID="TextBoxAmount" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxAmount" 
            CssClass="failureNotification" ErrorMessage="Množství položky je požadováno." ToolTip="Množství položky je požadováno." 
            ValidationGroup="Item">Množství položky je požadováno.</asp:RequiredFieldValidator>
    </p>
    <p>
    <asp:Label ID="UnitLabel" runat="server" Text="Unit"><b>Jednotka:</b></asp:Label>
    <asp:DropDownList ID="DropDownListUnit" runat="server" 
         DataTextField="Name" DataValueField="Name"></asp:DropDownList>
    </p>
    <p>
    <asp:Label ID="StartPriceLabel" runat="server" AssociatedControlID="TextBoxStartPrice"><b>Cena:</b></asp:Label>
    <asp:TextBox ID="TextBoxStartPrice" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxStartPrice" 
            CssClass="failureNotification" ErrorMessage="Cena položky je požadována." ToolTip="Cena položky je požadována." 
            ValidationGroup="Item">Cena položky je požadována.</asp:RequiredFieldValidator>
    </p>
</fieldset>
<p class="zarovnani">
    <asp:Button ID="EditItemButton" runat="server" Text="Upravit položku" ValidationGroup="Item" OnClick="EditItemButton_Click"/>
    <asp:Button ID="ButtonCancel" runat="server" Text="Zrušit" OnClick="ButtonCancel_Click" CausesValidation="false"/>
    <asp:Button ID="ButtonDelete" runat="server" Text="Smazat" OnClick="ButtonDelete_Click" CausesValidation="false"/>
    </p>
    <asp:ValidationSummary ID="ValidationSummary2" runat="server" ValidationGroup="Item" HeaderText="Opravte chybné údaje!" ForeColor="Red" />
</div>
<br />
</asp:Content>

