﻿<%@ Page Title="Správa měrných jednotek" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="AddUnit.aspx.cs" Inherits="AddUnit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
<h2>Správa měrných jednotek</h2>
<br />
<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ApplicationServices %>" 
        DeleteCommand="DELETE FROM [Unit] WHERE [UnitId] = @UnitId" 
        InsertCommand="INSERT INTO [Unit] ([Name]) VALUES (@Name)" 
        SelectCommand="SELECT * FROM [Unit]" 
        UpdateCommand="UPDATE [Unit] SET [Name] = @Name WHERE [UnitId] = @UnitId">
    <DeleteParameters>
        <asp:Parameter Name="UnitId" Type="Int32" />
    </DeleteParameters>
    <InsertParameters>
        <asp:Parameter Name="Name" Type="String" />
    </InsertParameters>
    <UpdateParameters>
        <asp:Parameter Name="Name" Type="String" />
        <asp:Parameter Name="UnitId" Type="Int32" />
    </UpdateParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="UnitId" DataSourceID="SqlDataSource1" AllowPaging="True" 
        AllowSorting="True">
    <RowStyle CssClass="GridView0" />
    <AlternatingRowStyle CssClass="GridView1" />
        <Columns>
            <asp:TemplateField HeaderText="Měrná jednotka" SortExpression="Name">
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Name") %>'></asp:Label>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Name") %>' ValidationGroup="Edit"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*" ControlToValidate="TextBox1" ValidationGroup="Edit"></asp:RequiredFieldValidator>
                </EditItemTemplate>
                <ControlStyle Width="400px" />
                <ItemStyle Width="400px" />
            </asp:TemplateField>
            <asp:CommandField CancelText="<img style='padding-top: 4px; padding-left: 5px; padding-right: 5px;' src='/Images/Cancel.png' title='Zrušit' />" ShowEditButton="True" EditText="<img style='padding-top: 4px; padding-left: 5px; padding-right: 5px;' src='/Images/Edit.png' title='Upravit' />"
                UpdateText="<img style='padding-top: 4px; padding-left: 5px; padding-right: 5px;' src='/Images/Save.png' title='Uložit' />" ValidationGroup="Edit" />
            <asp:CommandField DeleteText="<img style='padding-top: 4px; padding-left: 5px; padding-right: 5px;' src='/Images/Delete.png' title='Smazat' />" ShowDeleteButton="True" />
        </Columns>
    </asp:GridView>
<h2>Přidat měrnou jednotku</h2>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="UnitId" 
        DataSourceID="SqlDataSource1" DefaultMode="Insert">
        <InsertItemTemplate>
            Název měrné jednotky:
            <asp:TextBox ID="NameUnit" runat="server" Text='<%# Bind("Name") %>' Width="400px" ValidationGroup="Insert"/>
            <br />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1"
                 runat="server" ErrorMessage="*" ControlToValidate="NameUnit" ValidationGroup="Insert"></asp:RequiredFieldValidator>

            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                CommandName="Insert" Text="Přidat měrnou jednotku" ValidationGroup="Insert" />
        </InsertItemTemplate>
</asp:FormView>
</asp:Content>



