﻿<%@ Page Title="Nová aukce" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="AddAuction.aspx.cs" Inherits="AddAuction" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Vložit novou aukci</h2>
<div class="accountInfo">
<fieldset class="addAuction">
    <legend>Aukce</legend>
    <p>
        <asp:Label ID="NameLabel" runat="server" AssociatedControlID="TextBoxName">Název:</asp:Label>
        <asp:TextBox ID="TextBoxName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="NameRequired" runat="server" ControlToValidate="TextBoxName" 
            CssClass="failureNotification" ErrorMessage="Název aukce je požadován." ToolTip="Název aukce je požadován." 
            ValidationGroup="Auction">*</asp:RequiredFieldValidator>
    </p>
    <p>
    <asp:Label ID="DescriptionLabel" runat="server" Text="Description">Popis:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxDescription" runat="server" TextMode="MultiLine" Width="318px" Rows="5"></asp:TextBox>
    </p>
    <p>
    <asp:Label ID="StartDateLabel" runat="server" Text="Description">Začátek:</asp:Label>
    <asp:TextBox ID="TextBoxStartDate" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ForeColor="Red" Display="Dynamic" ValidationGroup="AddEvent"
         ValidationExpression="^(?=\d)(?:(?:31(?!.(?:0?[2469]|11))|(?:30|29)(?!.0?2)|29(?=.0?2.(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))(?:\x20|$))|(?:2[0-8]|1\d|0?[1-9]))([-./])(?:1[012]|0?[1-9])\1(?:1[6-9]|[2-9]\d)?\d\d(?:(?=\x20\d)\x20|$))?(((0?[1-9]|1[012])(:[0-5]\d){0,2}(\x20[AP]M))|([01]?\d|2[0-3])(:[0-5]\d){1,2})?$" ControlToValidate="TextBoxStartDate">Zadejte datum!</asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxStartDate"
         ValidationGroup="AddEvent" ForeColor="Red" Display="Dynamic">Datum musí být vyplněno!</asp:RequiredFieldValidator> 
    </p>
    <p>
    <asp:Label ID="EndDateLanel" runat="server" Text="Description">Konec:</asp:Label>
    <asp:TextBox ID="TextBoxEndDate" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ForeColor="Red" Display="Dynamic" ValidationGroup="AddEvent"
         ValidationExpression="^(?=\d)(?:(?:31(?!.(?:0?[2469]|11))|(?:30|29)(?!.0?2)|29(?=.0?2.(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))(?:\x20|$))|(?:2[0-8]|1\d|0?[1-9]))([-./])(?:1[012]|0?[1-9])\1(?:1[6-9]|[2-9]\d)?\d\d(?:(?=\x20\d)\x20|$))?(((0?[1-9]|1[012])(:[0-5]\d){0,2}(\x20[AP]M))|([01]?\d|2[0-3])(:[0-5]\d){1,2})?$" ControlToValidate="TextBoxEndDate">Zadejte datum!</asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxEndDate"
         ValidationGroup="AddEvent" ForeColor="Red" Display="Dynamic">Datum musí být vyplněno!</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="Label2" runat="server" Text="Description">Kategorie:</asp:Label>
        <asp:DropDownList ID="DropDownList1" runat="server" 
            DataTextField="Name" DataValueField="Name"></asp:DropDownList>
    </p>

</fieldset>
<fieldset class="addAuction" style="float: right;">
    <legend>Položky</legend>
    <p>
    <asp:Label ID="CodeLabel" runat="server" AssociatedControlID="TextBoxCode">Kód:</asp:Label>
    <asp:TextBox ID="TextBoxCode" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxCode" 
         CssClass="failureNotification" ErrorMessage="Kód aukce je požadován." ToolTip="Kód aukce je požadován." 
         ValidationGroup="Item">*</asp:RequiredFieldValidator>
    </p>
    <p>
    <asp:Label ID="DescriptionItemLabel" runat="server" Text="Description">Popis:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxDescriptionItem" runat="server" TextMode="MultiLine" Width="318px" Rows="5"></asp:TextBox>
    </p>
    <p>
    <asp:Label ID="AmountLabel" runat="server" Text="Amount">Množství:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxAmount" runat="server" CssClass="textEntry"></asp:TextBox>
    </p>
    <p>
    <asp:Label ID="LabelUnit" runat="server" Text="Description">Jednotka:</asp:Label>
    <asp:DropDownList ID="DropDownList2" runat="server" DataTextField="Name" DataValueField="Name"></asp:DropDownList>
    </p>
    <p>
    <asp:Label ID="LabelStartPrice" runat="server" Text="StartPrice">Cena:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxStartPrice" runat="server" CssClass="textEntry"></asp:TextBox>
    </p>
    <p class="submitButton">
    <asp:Button ID="AddAuctionButton" runat="server" Text="Vytvořit aukci" ValidationGroup="Auction" OnClick="AddAuctionButton_Click"/>
    </p>
    <!--<p class="submitButton">
    <asp:Button ID="AddItemButton" runat="server" Text="Vložit položku" ValidationGroup="Item" OnClick="AddItemButton_Click"/>
    </p>-->
</fieldset>

</div>
</asp:Content>

