﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class AddAuction : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        System.Threading.Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("cs-CZ");
        if (!Page.IsPostBack)
        {
            Model.Entities ase = new Model.Entities();

            ///vyber z tabulky kategorii a pridani do dropdownlistu
            var qry = (from name in ase.Category select name);
            DropDownList1.DataSource = qry;
            DropDownList1.DataValueField = "CategoryId";
            DropDownList1.DataTextField = "Name";
            DropDownList1.DataBind();

            //vyber z tabulky jednotek a pridani do dropdownlistu
            var qry1 = (from name in ase.Unit select name);
            DropDownList2.DataSource = qry1;
            DropDownList2.DataValueField = "UnitId";
            DropDownList2.DataTextField = "Name";
            DropDownList2.DataBind();

            try
            {
                //pridani zacatku a konce aukce
                TextBoxStartDate.Text = Convert.ToDateTime(Request.QueryString["start"]).ToString();
                TextBoxEndDate.Text = Convert.ToDateTime(Request.QueryString["end"]).ToString();

                //System.Guid userId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
            }
            catch (Exception ex)
            {
                Response.Redirect("/Auctions/");
            }
        }
    }

    protected void AddAuctionButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();

        Model.Auction newAuction = new Model.Auction();
        //newAuction.StartDate = DateTime.Parse(TextBoxStartDate.Text);
        //newAuction.EndDate = DateTime.Parse(TextBoxEndDate.Text);
        newAuction.StartDate = Convert.ToDateTime(TextBoxStartDate.Text);
        newAuction.EndDate = Convert.ToDateTime(TextBoxEndDate.Text);
        newAuction.Name = TextBoxName.Text;
        newAuction.Description = TextBoxDescription.Text;
        newAuction.CategoryId = Int32.Parse(DropDownList1.SelectedValue);
        newAuction.CreateDate = DateTime.Now;
        newAuction.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

        ase.Auction.AddObject(newAuction);
        ase.SaveChanges();
        Debug.WriteLine("Auction ID " + newAuction.AuctionId);

        Model.Item newItem = new Model.Item();
        newItem.UnitId = Int32.Parse(DropDownList2.SelectedValue);
        newItem.Code = TextBoxCode.Text;
        newItem.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newItem.Description = TextBoxDescriptionItem.Text;
        newItem.Amount = decimal.Parse(TextBoxAmount.Text);
        newItem.StartPrice = decimal.Parse(TextBoxStartPrice.Text);
        newItem.AuctionId = newAuction.AuctionId;
        ase.Item.AddObject(newItem);
        ase.SaveChanges();
        //Response.Redirect("~/Auctions/AddAuction.aspx");

        int campId = 0;
        //campId = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        campId = newAuction.AuctionId;
        var lastauction = (from c in ase.Auction where c.AuctionId == campId select c).First();
        Debug.WriteLine("Aukce ID " + lastauction);
        //int idauct = newAuction.AuctionId;
        
        //Debug.WriteLine("SELECT AuctionId, UserId, CreateDate, StartDate, EndDate, CategoryId, Name, Description FROM Auction WHERE (AuctionId = scope_identity()");

        //Response.Redirect("~/Auctions/AddAuctionSuccess.aspx");
        //Response.Redirect("~/Auctions/AddAuction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
        //int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
        //Model.Auction auction = (from a in ase.Auction where a.AuctionId == auctionId select a).First();
        //Console.WriteLine(auctionId);
        //int auctionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        //Response.Redirect("~/Auctions/AddAuction.aspx?AuctionId=" + auctionId);
        //Get url 
        //string sUrl = HttpContext.Current.Request.Url.AbsoluteUri;
        //Get querystring value
        //string sCurrentValue = Request.QueryString["AuctionId"];

        //Response.Redirect(Request.RawUrl);
    }

    protected void AddItemButton_Click(object sender, EventArgs e)
    {
        Model.Entities ite = new Model.Entities();

        var lastauction = (from AuctionId in ite.Auction select AuctionId);
        var lastItem = lastauction.Last();
        Debug.WriteLine("Auction ID " + lastItem); 
        
        //var qryAuctionId = ("SELECT AuctionId FROM Auction WHERE (AuctionId = scope_identity()");
        //var lastAuction = (from auctionId in ite.Auction select auctionId).Last();
        //var qry1 = (from name in ase.Unit select name);
        //int id = (from record in table orderby record.SequenceId select record.SequenceId).Last();
        //int idauction = (from record_auction in AddAuction select idauction
        
        Model.Item newItem = new Model.Item();
        newItem.UnitId = Int32.Parse(DropDownList2.SelectedValue);
        newItem.Code = TextBoxCode.Text;
        newItem.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newItem.Description = TextBoxDescriptionItem.Text;
        newItem.Amount = decimal.Parse(TextBoxAmount.Text);
        newItem.StartPrice = decimal.Parse(TextBoxStartPrice.Text);
        newItem.AuctionId = Int32.Parse(Request.QueryString["lastAuction"]);
        //newItem.AuctionId = Int32.Parse(Request.QueryString["AuctionId"]);
        newItem.AuctionId = Convert.ToInt32(lastItem);
        ite.Item.AddObject(newItem);
        ite.SaveChanges();
        Response.Redirect("~/Auctions/AddAuction.aspx");

    }

}