﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class AddAuction2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        System.Threading.Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("cs-CZ");
        if (!Page.IsPostBack)
        {
            Model.Entities ase = new Model.Entities();

            ///vyber z tabulky kategorii a pridani do dropdownlistu
            var qry = (from name in ase.Category select name);
            DropDownList1.DataSource = qry;
            DropDownList1.DataValueField = "CategoryId";
            DropDownList1.DataTextField = "Name";
            DropDownList1.DataBind();

            try
            {
                //pridani zacatku a konce aukce
                TextBoxStartDate.Text = Convert.ToDateTime(Request.QueryString["start"]).ToString();
                TextBoxEndDate.Text = Convert.ToDateTime(Request.QueryString["end"]).ToString();

            }
            catch (Exception ex)
            {
                Response.Redirect("/Auctions/");
            }
        }
    }

    protected void AddAuctionButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();

        Model.Auction newAuction = new Model.Auction();
        newAuction.StartDate = Convert.ToDateTime(TextBoxStartDate.Text);
        newAuction.EndDate = Convert.ToDateTime(TextBoxEndDate.Text);
        newAuction.Name = TextBoxName.Text;
        newAuction.Description = TextBoxDescription.Text;
        newAuction.CategoryId = Int32.Parse(DropDownList1.SelectedValue);
        newAuction.CreateDate = DateTime.Now;
        newAuction.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

        ase.Auction.AddObject(newAuction);
        ase.SaveChanges();
        Debug.WriteLine("Auction ID " + newAuction.AuctionId);

        //Response.Redirect("~/Auctions/AddAuction.aspx");
    }

    protected void AddItemButton_Click(object sender, EventArgs e)
    {
        Model.Entities ite = new Model.Entities();

        var lastauction = (from AuctionId in ite.Auction select AuctionId);
        var lastItem = lastauction.Last();
        Debug.WriteLine("Auction ID " + lastItem); 
        
        //var qryAuctionId = ("SELECT AuctionId FROM Auction WHERE (AuctionId = scope_identity()");
        //var lastAuction = (from auctionId in ite.Auction select auctionId).Last();
        //var qry1 = (from name in ase.Unit select name);
        //int id = (from record in table orderby record.SequenceId select record.SequenceId).Last();
        //int idauction = (from record_auction in AddAuction select idauction
        
    }

}