﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Auction : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated || User.IsInRole("observer"))
        {
            Response.Redirect("~/Default.aspx");
        }

        if (!Page.IsPostBack) {
            base.LogActivity("Běžící aukce", true);
            System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
            Model.Entities ase = new Model.Entities();

            //var qry1 = (from auction in ase.Auction join auctionMember in ase.AuctionMember on auction.UserId equals auctionMember.UserId where (auctionMember.AuctionId == auction.AuctionId && auctionMember.UserId == guid) select auction);
            //var qry2 = (from auction in ase.Auction join auctionMember in ase.AuctionMember on auction.UserId equals auctionMember.
            var qry1 = (from auction in ase.Auction join auctionMember in ase.AuctionMember on auction.AuctionId equals auctionMember.AuctionId where (auctionMember.UserId == guid && auction.IsPublic == true) select auction);
            if (qry1.Count() != 0)
            {
                NoAuction.Visible = false;
                GridView1.Visible = true;
                GridView1.DataSource = qry1;
                GridView1.DataBind();
            }
            else {
                GridView1.Visible = false;
                NoAuction.Visible = true;
            }
        }
    }
}