﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Runtime.Remoting;
using System.Diagnostics;

public partial class InsertOffer : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!User.Identity.IsAuthenticated)
        {
            Response.Redirect("~/Default.aspx");
        }
        if (!Page.IsPostBack)
        {
            base.LogActivity("Vložit nabídku", true);
            System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
            Model.Entities ase = new Model.Entities();

            //casovac
            int id1 = Int32.Parse(Page.Request.QueryString["AuctionId"]);
            if (!ScriptManager1.IsInAsyncPostBack)
               Session["timeout"] = DateTime.Now.AddMinutes(2).ToString();
            //skryteSession["timeout"] = DateTime.Parse("2015-03-04 23:43:57");
            Model.Auction auctionX = (from a in ase.Auction where a.AuctionId == id1 select a).First();
            Session["timeout1"] = auctionX.EndDate.ToString("dd/MM/yyyy HH:mm");
            //konec casovace

            int id = 0;
            id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
            if (Page.Request.QueryString["AuctionId"] != null)
            {
                //Model.Entities ase = new Model.Entities();
                //var qry1 = (from auction in ase.Auction join auctionMember in ase.AuctionMember on auction.AuctionId equals auctionMember.AuctionId where (auctionMember.UserId == guid && auction.IsPublic == true) select auction);
                var qry2 = (from auction in ase.Auction where (auction.AuctionId == id) select auction);
                GridView1.DataSource = qry2;
                GridView1.DataBind();
                Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();
                LabelDescription.Text = auc.Description;

                //polozky aukce
                var qry3 = from item in ase.Item join auctionmember in ase.AuctionMember on item.UserId equals auctionmember.UserId where (item.AuctionId == id && auctionmember.AuctionId == id) select item;
                if (qry3.Count() != 0)
                {
                    if (auc.EndDate > DateTime.Now)
                    {
                        NoItemLabel.Visible = true;
                        GridView2.Visible = true;
                        GridView2.DataSource = qry3;
                        GridView2.DataBind();
                    }
                    else 
                    {
                        NoTimeAuctionLabel.Visible = true;
                    }
                }

                //chat
                var qry7 = (from chat in ase.Chat
                            join auction in ase.Auction on chat.AuctionId equals auction.AuctionId
                            join user in ase.aspnet_Users on chat.RecipientId equals user.UserId
                            join rec in ase.aspnet_Users on chat.SenderId equals rec.UserId
                            where (auction.AuctionId == id && chat.SenderId == guid) || (auction.AuctionId == id && chat.RecipientId == guid)
                            orderby chat.CreateDate descending
                            select new { user.UserName, Name = rec.UserName, chat.Message, chat.CreateDate });
                if (qry7.Count() != 0)
                {
                    if (auc.EndDate > DateTime.Now)
                    {
                        //Chat.Visible = true;
                        //ChatLabel.Visible = true;
                        //TextBoxMessage.Visible = true;
                        //Button1.Visible = true;
                        //ListChat.Visible = true;
                        ListChat.Visible = true;
                        GridView6.Visible = true;
                        GridView6.DataSource = qry7;
                        GridView6.DataBind();
                    }
                }

                if (auc.EndDate > DateTime.Now) {
                    Chat.Visible = true;
                    ChatLabel.Visible = true;
                    TextBoxMessage.Visible = true;
                    Button1.Visible = true;                    
                }

            }
        }  
    }

    protected void AutoRefreshTimer_Tick(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();    
        int id = 0;
        id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();
                //polozky aukce
                var qry3 = from item in ase.Item join auctionmember in ase.AuctionMember on item.UserId equals auctionmember.UserId where (item.AuctionId == id && auctionmember.AuctionId == id) select item;
                if (qry3.Count() != 0)
                {
                    if (auc.EndDate > DateTime.Now)
                    {
                        NoItemLabel.Visible = true;
                        GridView2.Visible = true;
                        GridView2.DataSource = qry3;
                        GridView2.DataBind();
                    }
                    else
                    {
                        //NoTimeAuctionLabel.Visible = true;
                    }
                }
    }

    protected void AutoRefreshTimerChat_Tick(object sender, EventArgs e)
    {
        System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        Model.Entities ase = new Model.Entities();
        int id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();

        //chat
        var qry7 = (from chat in ase.Chat
                    join auction in ase.Auction on chat.AuctionId equals auction.AuctionId
                    join user in ase.aspnet_Users on chat.RecipientId equals user.UserId
                    join rec in ase.aspnet_Users on chat.SenderId equals rec.UserId
                    where (auction.AuctionId == id && chat.SenderId == guid) || (auction.AuctionId == id && chat.RecipientId == guid)
                    orderby chat.CreateDate descending
                    select new { user.UserName, Name = rec.UserName, chat.Message, chat.CreateDate });
        if (qry7.Count() != 0)
        {
            if (auc.EndDate > DateTime.Now)
            {
                //Chat.Visible = true;
                //ChatLabel.Visible = true;
                //TextBoxMessage.Visible = true;
                //Button1.Visible = true;
                //ListChat.Visible = true;
                ListChat.Visible = true;
                GridView6.Visible = true;
                GridView6.DataSource = qry7;
                GridView6.DataBind();
            }
        }

        if (auc.EndDate > DateTime.Now)
        {
            Chat.Visible = true;
            ChatLabel.Visible = true;
            TextBoxMessage.Visible = true;
            Button1.Visible = true;
        }
    }

    //***************************************************************//
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        string RecordId = GridView2.SelectedRow.Cells[7].Text;
        Session["RecordID"] = RecordId;
        Response.Redirect("DetailPage.aspx");
    }

    //****************************************************************//

    protected void ButtonInsertOffer_Click(object sender, EventArgs e) {
        int id = 0;
        id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

        for (int i=0; i < GridView2.Rows.Count; i++) {
            GridViewRow gRow = GridView2.Rows[i];
            TextBox txtBox1 = (TextBox)gRow.FindControl("txtChar");
            string s = txtBox1.Text.Trim();

        Model.Entities ase = new Model.Entities();

        Model.Offer newOffer = new Model.Offer();
        newOffer.ItemId = (from item in ase.Item where (item.UserId.Equals(guid) && item.AuctionId == id) select item.ItemId).First();
        newOffer.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newOffer.CreateDate = DateTime.Now;
        //newOffer.PriceOffer = s;
    
        ase.Offer.AddObject(newOffer);
        ase.SaveChanges();

        Debug.WriteLine("You have changed the textbox on: " + s + " with ItemId: " + newOffer.ItemId);
        Response.Redirect("~/Auctions/InsertOffer.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }}

    protected void btn_test2_Click(object sender, EventArgs e)
    {
        TextBox txt = GridView2.Rows[0].FindControl("txtChar") as TextBox;
        if (txt != null) {
            string test = txt.Text;
            Debug.WriteLine("You have changed the textbox to " + test);
        }       
    }

    //Casovac
    protected void timer1_tick(object sender, EventArgs e)
    {
        //DateTime dt = DateTime.Now;
        //dt = dt.AddSeconds(20);
        if (0 > DateTime.Compare(DateTime.Now, DateTime.Parse(Session["timeout1"].ToString())))
        //if (0 > DateTime.Compare(dt, DateTime.Parse(Session["timeout1"].ToString())))
        {
            lblTimer.Text = string.Format("<b>Konec aukce:</b> {0}:{1}:{2}:{3}", ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalDays).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalHours).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalMinutes).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).Seconds).ToString());
           // GridView2.Columns[1].Visible = false;     
        }
        else
        {
            Timer1.Enabled = true;
            lblTimer.Visible = false;
            //Response.Redirect("Default.aspx");
        }
    }

    //odeslani chatove zpravy
    protected void Chat_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        var id = Int32.Parse(Page.Request.QueryString["AuctionId"]);

        Model.Chat newChatMessage = new Model.Chat();
        newChatMessage.SenderId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newChatMessage.RecipientId = (from auction in ase.Auction where (auction.AuctionId == id) select auction.UserId).First();
        newChatMessage.Message = TextBoxMessage.Text;
        newChatMessage.CreateDate = DateTime.Now;
        newChatMessage.AuctionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);

        ase.Chat.AddObject(newChatMessage);
        ase.SaveChanges();

        int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
        Response.Redirect("~/Auctions/InsertOffer.aspx?AuctionId=" + auctionId.ToString());
    }
}