﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Profile;
using System.Collections;
using System.ComponentModel;
using System.Web.Security;

public partial class Companies : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            base.LogActivity("Společnosti", true);
            Model.Entities ase = new Model.Entities();

            var userQuery = from user in ase.aspnet_Users select user;

            BindingList<UserProfile> up = new BindingList<UserProfile>();
            foreach (Model.aspnet_Users u in userQuery)
            {
                ProfileCommon pc = Profile.GetProfile(u.UserName);
                String FirstName = pc.FirstName;
                String LastName = pc.LastName;
                String CompanyName = pc.Company.CompanyName;
                String IC = pc.Company.IC;
                String DIC = pc.Company.DIC;
                String Web = pc.Company.Web;
                String Street = pc.Addresses.Street;
                String Number = pc.Addresses.Number;
                String City = pc.Addresses.City;
                String Postcode = pc.Addresses.Postcode;
                up.Add(new UserProfile(u.UserName, FirstName, LastName, Membership.GetUser(u.UserName).Email, CompanyName, IC, DIC, Web, Street, Number, City, Postcode, u.UserId));
            }
            GridView1.DataSource = up;
            GridView1.DataBind();
        }
    }
}