﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Profile;
using System.Collections;
using System.ComponentModel;
using System.Web.Security;

public partial class EditCompanies : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated)
        {
            Response.Redirect("Login.aspx");
        }
        if (!Page.IsPostBack)
        {
            //Model.Entities ase = new Model.Entities();
            //string username = Request.QueryString["UserName"];
            //Model.aspnet_Profile profile = (from p in ase.aspnet_Profile where p.UserId.ToString() == username select p).First();
            base.LogActivity("Úprava společnosti", true);

            ProfileCommon pa = this.Profile.GetProfile(this.User.Identity.Name);
            FirstName.Text = pa.FirstName;
            CompanyName.Text = pa.Company.CompanyName;
            //http://stackoverflow.com/questions/12985098/asp-net-profile-not-saving-or-displaying-entered-data-code-updated-10-28-12
            UserName.Text = Membership.GetUser().UserName;
            FirstName.Text = Profile.FirstName;
            LastName.Text = Profile.LastName;
            Email.Text = Membership.GetUser().Email;
            CompanyName.Text = Profile.Company.CompanyName;
            Ic.Text = Profile.Company.IC;
            Dic.Text = Profile.Company.DIC;
            Web.Text = Profile.Company.Web;
            Street.Text = Profile.Addresses.Street;
            Number.Text = Profile.Addresses.Number;
            City.Text = Profile.Addresses.City;
            Postcode.Text = Profile.Addresses.Postcode;
        }
    }

    protected void ChangeProfileButton_Click(object sender, EventArgs e)
    {
        if (Page.IsValid) 
        {
            MembershipUser user = Membership.GetUser();
            Profile.FirstName = FirstName.Text;
            Profile.LastName = LastName.Text;
            user.Email = Email.Text;
            Membership.UpdateUser(user);
            Profile.Company.CompanyName = CompanyName.Text;
            Profile.Company.IC = Ic.Text;
            Profile.Company.DIC = Dic.Text;
            Profile.Company.Web = Web.Text;
            Profile.Addresses.Street = Street.Text;
            Profile.Addresses.Number = Number.Text;
            Profile.Addresses.City = City.Text;
            Profile.Addresses.Postcode = Postcode.Text;
            Response.Redirect("Companies.aspx");
        }
    }
}