﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class RemoveMember : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack) {
        base.LogActivity("Odstranění člena aukce", true);
        Model.Entities ase = new Model.Entities();
        System.Guid userId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        if (!Page.Request.QueryString.HasKeys()) {
            Response.Redirect("Auction.aspx");
        }
        int i = 0;
        try
        {
            i = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        }
        catch (Exception ex) {
            Response.Redirect("Auction.aspx");
        }
        if ((from auction in ase.Auction where (auction.UserId == userId && auction.AuctionId == i) select auction).Count() == 0) {
            Response.Redirect("Auction.aspx");
        }

        System.Guid userCreator = (from auction in ase.Auction where auction.AuctionId == i select auction.UserId).First();

        RemoveMemberList.DataSource = from user in ase.aspnet_Users join auctionMember in ase.AuctionMember on user.UserId equals auctionMember.UserId where (auctionMember.AuctionId == i && auctionMember.UserId != userCreator) select user;
        RemoveMemberList.DataTextField = "UserName";
        RemoveMemberList.DataValueField = "UserId";
        RemoveMemberList.DataBind();
        }
    }


    protected void RemoveMemberButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int auctionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        System.Guid userId = System.Guid.Parse(RemoveMemberList.SelectedValue);
        Model.AuctionMember am = (from a in ase.AuctionMember where (a.UserId == userId && a.AuctionId == auctionId) select a).First();
        ase.AuctionMember.DeleteObject(am);
        ase.SaveChanges();

        removememberstart.Visible = false;
        RemoveLabel.Text = RemoveMemberList.SelectedItem.Text;

        removememberfinish.Visible = true;

    }
    protected void CancelMemberButton_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
    protected void ButtonOK_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
    protected void ButtonAnother_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
}